<template>
  <div class="userdetail">
    <app-header></app-header>
    <div v-for="(user, index) in selectedUser" :key="index" class="detail_card">
      <div>
        <div class="first_container">
          <img :src="user.picture.large" :alt="user.name.first" />
          <button @click="addFavorite">
            <i class="fa fa-heart fav"></i>
          </button>
        </div>
        <div class="second_container"></div>
        <div class="name_container">
          <p>{{user.name.title}}. {{user.name.first}} {{user.name.last}}</p>
        </div>
        <p>
          <i class="fa fa-envelope email"></i>
          {{user.email}}
        </p>
      </div>
      <div class="third_container">
        <p>
          <span>
            <i class="fa fa-map city"></i>
          </span>
          {{user.location.city}}.
        </p>
        <p>
          <span>
            <i class="fa fa-map-pin city"></i>
          </span>
          {{user.location.street.name}} {{user.location.street.number}}.
        </p>
        <p>
          <span>
            <i class="fa fa-phone-square phone"></i>
          </span>
          {{user.phone}}
        </p>
      </div>
    </div>
  </div>
</template>

<script>
import AppHeader from "../components/AppHeader";

export default {
  data() {
    return {
      selectedUser: {},
      favorites: ""
    };
  },
  name: "UserDetail",
  components: { AppHeader },
  methods: {
    getUserData() {
      const id = this.$route.params.id;
      const usersData = localStorage.getItem("allUsers");
      const usersDataParsed = JSON.parse(usersData);
      const selectedUser = usersDataParsed.filter(
        user => user.login.uuid === id
      );
      this.selectedUser = selectedUser;
    },
    addFavorite() {
      if (localStorage.getItem("favorites")) {
        console.log("COÑE");
        const favorite = localStorage.getItem("favorites");
        const favoriteParsed = JSON.parse(favorite);
        this.selectedUser.map(user => favoriteParsed.push(user));
        localStorage.setItem("favorites", JSON.stringify(favoriteParsed));
      } else {
        localStorage.setItem("favorites", JSON.stringify(this.selectedUser));
      }
    }
  },
  mounted() {
    this.getUserData();
  }
};
</script>

<style  scoped>
.name_container {
  display: flex;
  justify-content: center;
  margin-bottom: 10px;
  font-size: 26px;
  font-weight: bold;
}
.first_container {
  display: flex;
  justify-content: space-between;
}
.second_container {
  display: flex;
  flex-direction: column;
  margin-top: 30px;
}
.third_container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 20px;
}
.userdetail {
  margin-top: 150px;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}
.fav {
  cursor: pointer;
  font-size: 40px;
}
.city {
  font-size: 20px;
}
span {
  font-weight: bold;
  margin: 0 10px;
}
.email {
  font-size: 24px;
  margin-right: 10px;
}
.phone {
  font-size: 20px;
}
p {
  display: flex;
  justify-content: center;
}
.detail_card {
  padding: 20px 40px;
  box-shadow: 0 4px 2px -1px #2c3e50;
}
</style>